# Generated by Django 2.2.3 on 2019-07-05 07:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Channel',
            fields=[
                ('id', models.CharField(max_length=24, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=255)),
                ('slug', models.SlugField(blank=True, max_length=255, unique=True)),
                ('priority', models.IntegerField(choices=[(-1, 'None'), (0, 'Low'), (1, 'Medium'), (2, 'High')], default=1)),
                ('thumbnail', models.URLField()),
                ('last_update', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Playlist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('slug', models.SlugField(blank=True, max_length=255, unique=True)),
                ('rules', models.ManyToManyField(blank=True, to='notifpy.Channel')),
            ],
        ),
        migrations.CreateModel(
            name='Video',
            fields=[
                ('id', models.CharField(max_length=11, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=255)),
                ('publication', models.DateTimeField()),
                ('gathering', models.DateTimeField(auto_now_add=True)),
                ('thumbnail', models.URLField()),
                ('channel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifpy.Channel')),
            ],
        ),
        migrations.CreateModel(
            name='PlaylistMembership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('addition', models.DateTimeField(auto_now_add=True)),
                ('order', models.IntegerField(default=0)),
                ('playlist', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifpy.Playlist')),
                ('video', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifpy.Video')),
            ],
        ),
        migrations.AddField(
            model_name='playlist',
            name='videos',
            field=models.ManyToManyField(blank=True, through='notifpy.PlaylistMembership', to='notifpy.Video'),
        ),
        migrations.CreateModel(
            name='Filter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('regex', models.CharField(default='.*', max_length=255)),
                ('channel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifpy.Channel')),
            ],
        ),
    ]
